Subject: Re: [msysGit] [PATCH/RFC] autocrlf: Make it work also for un-normalized repositories

From: Finn Arne Gangstad <[email-masked]>
Date: Wed, 12 May 2010 00:28:02 +0200

On Mon, May 10, 2010 at 07:29:34PM +0200, Johannes Schindelin wrote:

> > +			if (ce_stage(istate->cache[i]) == 2)
> > +				pos = i;
> > +	}
> 
> I think it makes sense to assume that "ours" determines whether we should 
> assume that the index has a wrong format. But if there is also a "base" 
> that disagrees on CR-ness with "ours", should we not try to pick "ours"?

Did you make a typo there, or did I misunderstand something? As far as
I can tell we do pick "ours" in this case, and I think that may be the
best choice overall (it is easiest for you to fix "ours" if the
result is wrong).

- Finn Arne